gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.SegmentPropertiesT

Contents

- Exported types
- Methods
- Properties
  - direction
  - language
  - script

Description

The structure that holds various text properties of an `BufferT`. Can be set and retrieved using `bufferSetSegmentProperties` and `bufferGetSegmentProperties`, respectively.

Synopsis

- newtype SegmentPropertiesT = SegmentPropertiesT (ManagedPtr SegmentPropertiesT)
- newZeroSegmentPropertiesT :: MonadIO m => m SegmentPropertiesT
- getSegmentPropertiesTDirection :: MonadIO m => SegmentPropertiesT -> m DirectionT
- setSegmentPropertiesTDirection :: MonadIO m => SegmentPropertiesT -> DirectionT -> m ()
- getSegmentPropertiesTLanguage :: MonadIO m => SegmentPropertiesT -> m LanguageT
- getSegmentPropertiesTScript :: MonadIO m => SegmentPropertiesT -> m ScriptT
- setSegmentPropertiesTScript :: MonadIO m => SegmentPropertiesT -> ScriptT -> m ()

# Exported types

newtype SegmentPropertiesT Source #

Memory-managed wrapper type.

Constructors

SegmentPropertiesT (ManagedPtr SegmentPropertiesT) |

#### Instances

Instances details

Eq SegmentPropertiesT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT Methods (==) :: SegmentPropertiesT -> SegmentPropertiesT -> Bool Source # (/=) :: SegmentPropertiesT -> SegmentPropertiesT -> Bool Source #
GBoxed SegmentPropertiesT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT
ManagedPtrNewtype SegmentPropertiesT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT Methods toManagedPtr :: SegmentPropertiesT -> ManagedPtr SegmentPropertiesT Source #
TypedObject SegmentPropertiesT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT Methods glibType :: IO GType Source #
HasParentTypes SegmentPropertiesT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT
tag ~ 'AttrSet => Constructible SegmentPropertiesT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT Methods new :: MonadIO m => (ManagedPtr SegmentPropertiesT -> SegmentPropertiesT) -> [AttrOp SegmentPropertiesT tag] -> m SegmentPropertiesT Source #
IsGValue (Maybe SegmentPropertiesT) Source # | Convert `SegmentPropertiesT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe SegmentPropertiesT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe SegmentPropertiesT) Source #
type ParentTypes SegmentPropertiesT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SegmentPropertiesT type ParentTypes SegmentPropertiesT = '[] :: [Type]

newZeroSegmentPropertiesT :: MonadIO m => m SegmentPropertiesT Source #

Construct a `SegmentPropertiesT` struct initialized to zero.

# Methods

# Properties

## direction

the `DirectionT` of the buffer, see `bufferSetDirection`.

getSegmentPropertiesTDirection :: MonadIO m => SegmentPropertiesT -> m DirectionT Source #

Get the value of the “`direction`” field. When overloading is enabled, this is equivalent to

    get segmentPropertiesT #direction

setSegmentPropertiesTDirection :: MonadIO m => SegmentPropertiesT -> DirectionT -> m () Source #

Set the value of the “`direction`” field. When overloading is enabled, this is equivalent to

    set segmentPropertiesT [ #direction := value ]

## language

the `LanguageT` of the buffer, see `bufferSetLanguage`.

getSegmentPropertiesTLanguage :: MonadIO m => SegmentPropertiesT -> m LanguageT Source #

Get the value of the “`language`” field. When overloading is enabled, this is equivalent to

    get segmentPropertiesT #language

## script

the `ScriptT` of the buffer, see `bufferSetScript`.

getSegmentPropertiesTScript :: MonadIO m => SegmentPropertiesT -> m ScriptT Source #

Get the value of the “`script`” field. When overloading is enabled, this is equivalent to

    get segmentPropertiesT #script

setSegmentPropertiesTScript :: MonadIO m => SegmentPropertiesT -> ScriptT -> m () Source #

Set the value of the “`script`” field. When overloading is enabled, this is equivalent to

    set segmentPropertiesT [ #script := value ]